{% extends 'base.html' %}

{% block content %}

<div class="container mt-3">
    <h3 class="text-center alert alert-success">CRUD using AJAX </h3>

    <div class="row">
        <div class="col-sm-4">
            <h4 class="text-center alert alert-info">Add Students</h4>
        
            <form method="POST">
                {% csrf_token %}
                <input type="hidden" name="stuid" id="stuid">
                {{form.as_p}}
                <input type="button" class="btn btn-success" id="btnsave" value="Add">
            
            </form>

        </div>
        
        <div class="col-sm-8">
            <h4 class="text-center alert alert-info">List of Employees</h4>
            <table class="table">
                <thead>
                  <tr>
                    <th scope="col">Name</th>
                    <th scope="col">Age</th>
                    <th scope="col">Address</th>
                    <th scope="col">Salary</th>
                    <th scope="col">Actions</th>

                  </tr>
                </thead>
                <tbody id="tbody">
                    {% for emp in employee %}
                  <tr>
        
                    <td>{{emp.name}}</td>
                    <td>{{emp.age}}</td>
                    <td>{{emp.address}}</td>
                    <td>{{emp.salary}}</td>
                    <td>
                        <input type="button" class="btn btn-warning btn-sm btn-edit" data-sid="{{emp.id}}" value="Edit">
                        <input type="button" class="btn btn-danger btn-sm btn-del" data-sid="{{emp.id}}" value="Delete">
                    </td>
                  </tr>

                  {% endfor %}
                  
                </tbody>
              </table>
        </div>


    </div>

</div>
    {% include "ajax.html" %}


{% endblock %}
